<?php $include_coneccao = '../fncr-geral/coneccao-bd.php';

/*
 * ARQUIVO DE COMANDOS CRON
 * PARA ATUALIZAÇÕES NOS SISTEMAS
 * DOS CLUBES
*/

$tk_get = '';
if(isset($_GET['tk']) && $_GET['tk'] != ""){
  $tk_get = $_GET['tk'];
  $tk_get = preg_replace("/[^a-z_]/", "", $tk_get);
}

// CLUBES
if($_GET['tk'] != ""){
  $acesso_bd = "ok";
  include($include_coneccao);
  header('Access-Control-Allow-Methods: GET, POST, PUT');

  $sql_clubes = $bd->getConexao()->prepare('
  SELECT * FROM clubes_configuracao
  WHERE
    link_sistema is not null AND bd is not null AND bd_usuario is not null AND bd_senha is not null AND
    link_sistema != "" AND bd != "" AND bd_usuario != "" AND bd_senha != ""
  ORDER BY id ASC');
  if( $sql_clubes->execute() ) { $resul_clubes = $sql_clubes->fetchall(PDO::FETCH_ASSOC);}
}


// *********** COD BLOQUEIO - Excluir dias anteriores ***********
// Obs.: Acontece diariamente as 12h

if($tk_get == "codbloq"){
  foreach($resul_clubes as $l){
    try{
      if($l['bd_host']!=""){
        $bdclube = new ConeccaoClube($l['bd'],$l['bd_usuario'],$l['bd_senha'],$l['bd_host']);
      }else{
        $bdclube = new ConeccaoClube($l['bd']);
      }

      $sql_codbloq = $bdclube->getConexao()->prepare('DELETE FROM configs_codbloq WHERE horario <= :data_fim');
      $sql_codbloq->bindValue(':data_fim', date("Y-m-d"), PDO::PARAM_STR);
      if( $sql_codbloq->execute() );

    }catch(PDOException $e){}
    $bdclube = null;
  }
}


// *********** COD BLOQUEIO - Excluir dias anteriores ***********
// Obs.: Acontece diariamente as 00:01h

if($tk_get == "fin_pgto_aut"){
  /*
  foreach($resul_clubes as $l){

    $clube_host = $host_bd;
    $clube_bd = $l['bd'];
    $clube_bd_usuario = $l['bd_usuario'];
    $clube_bd_senha = $l['bd_senha'];

    if($l['bd_host']!=""){$clube_host = $l['bd_host'];}
    $clube_dsn = 'mysql:host='.$clube_host.';dbname='.$l['bd'];;

    try{
      $bdclube = new ConeccaoClube();
      $sql_editar = $bdclube->getConexao()->prepare('UPDATE fingeral_registros SET
        status_pago = 1,
        data_pagamento = :data_venc
        WHERE data_vencimento = :data_venc
        AND pagar_automatico = 1 AND sistema = 0 AND status_pago = 0 AND excluido = 0');
      $sql_editar->bindValue(':data_venc', date("Y-m-d"), PDO::PARAM_STR);
      if( $sql_editar->execute() );

    }catch(PDOException $e){
      //echo $l['id_clube'].'/'.$l['link_sistema'].'/ ERRO: '.$e->getMessage();
    }

    $bdclube = null;
  }
  */
}


$bd = null; ?>